让aMule支持DLP的源码补丁(1月24日更新了~)

上网、浏览、聊天、下载等
回复
头像
john.wu
帖子: 1006
注册时间: 2007-10-18 17:40
送出感谢: 0
接收感谢: 0

Re: 让aMule支持DLP的源码补丁

#16

帖子 john.wu » 2009-10-18 0:14

楼主更新时,建议在文件中加入版本号。

旧版的下载,建议保留。

千帖户,享有论坛特权!
mckeyu
帖子: 289
注册时间: 2008-11-07 3:42
送出感谢: 0
接收感谢: 0

Re: 让aMule支持DLP的源码补丁

#17

帖子 mckeyu » 2009-10-18 1:10

复杂 要是有DEB包就好了
mckeyu
帖子: 289
注册时间: 2008-11-07 3:42
送出感谢: 0
接收感谢: 0

Re: 让aMule支持DLP的源码补丁

#18

帖子 mckeyu » 2009-10-18 1:13

编译成功 :em01
头像
midoriumi
帖子: 40
注册时间: 2009-02-24 13:07
送出感谢: 0
接收感谢: 0
联系:

Re: 让aMule支持DLP的源码补丁

#19

帖子 midoriumi » 2009-10-18 11:02

john.wu 写了:不稳定,容易崩溃
谢谢,我会在本机上进一步测试
叫我greensea吧 [@lvhai]

虽然现在这个用户名是midoriumi,但实际上是我把自己注册的greensea的密码给忘记了,于是只好再注册一个midoriumi,字面意思也和greensea一样是緑海(みどりうみ)。所以,叫我greensea或GS吧。
头像
syrano
帖子: 4313
注册时间: 2007-10-06 18:40
送出感谢: 0
接收感谢: 5 次

Re: 让aMule支持DLP的源码补丁

#20

帖子 syrano » 2009-10-18 11:05

使用amuled+amule-gui时崩溃了

--------------------------------------------------------------------------------
A fatal error has occurred and aMule has crashed.
Please assist us in fixing this problem by posting the backtrace below in our
'aMule Crashes' forum and include as much information as possible regarding the
circumstances of this crash. The forum is located here:
http://forum.amule.org/index.php?board=67.0
If possible, please try to generate a real backtrace of this crash:
http://wiki.amule.org/index.php/Backtraces

----------------------------=| BACKTRACE FOLLOWS: |=----------------------------
Current version is: aMuled 2.2.6 using wxGTK2 v2.8.10
Running on: Linux 2.6.31-ARCH i686

[2] ?? in amuled [0x8058771]
[3] wxFatalSignalHandler in /usr/lib/libwx_baseu-2.8.so.0[0xb76dc346]
[4] ?? in [0xb77d7400]
[5] strlen in /lib/libc.so.6[0xb73e4553]
[6] ?? in amuled [0x80fc1f8]
[7] ?? in amuled [0x80fc7a7]
[8] ?? in amuled [0x8089c91]
[9] ?? in amuled [0x808c23e]
[10] ?? in amuled [0x80b01b4]
[11] wxAppConsole::HandleEvent(wxEvtHandler*, void (wxEvtHandler::*)(wxEvent&), wxEvent&) const in /usr/lib/libwx_baseu-2.8.so.0[0xb7639ebf]
[12] wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&) in /usr/lib/libwx_baseu-2.8.so.0[0xb76d7999]
[13] wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*) in /usr/lib/libwx_baseu-2.8.so.0[0xb76d8a34]
[14] wxEvtHandler::ProcessEvent(wxEvent&) in /usr/lib/libwx_baseu-2.8.so.0[0xb76d8b33]
[15] wxEvtHandler::ProcessPendingEvents() in /usr/lib/libwx_baseu-2.8.so.0[0xb76d7e29]
[16] wxAppConsole::ProcessPendingEvents() in /usr/lib/libwx_baseu-2.8.so.0[0xb763a209]
[17] ?? in amuled [0x8055f96]
[18] wxEntry(int&, wchar_t**) in /usr/lib/libwx_baseu-2.8.so.0[0xb767382a]
[19] wxEntry(int&, char**) in /usr/lib/libwx_baseu-2.8.so.0[0xb7673a07]
[20] ?? in amuled [0x8054f3b]
[21] __libc_start_main in /lib/libc.so.6[0xb7387a36]
[22] ?? in amuled [0x8054521]


--------------------------------------------------------------------------------
Aborted
E=m c^2
头像
syrano
帖子: 4313
注册时间: 2007-10-06 18:40
送出感谢: 0
接收感谢: 5 次

Re: 让aMule支持DLP的源码补丁

#21

帖子 syrano » 2009-10-18 11:19

amule-dlp的PKGBUILD有问题

需要加入

代码: 全选

conflicts=('amule')
provides=("amule=$pkgver")
不然安装时会把amule直接覆盖掉.

pkgname=amule-dlp
_pkgname=amule
pkgver=2.2.6
pkgrel=4
pkgdesc="An eMule-like client for ed2k p2p network with DLP patch"
arch=('i686' 'x86_64')
url="http://www.amule.org"
license=('GPL')
depends=('wxgtk>=2.8.10.1' 'gd>=2.0.35' 'geoip' 'binutils>=2.19.1' 'libupnp')
makedepends=('crypto++')
conflicts=('amule')
provides=("amule=$pkgver")
source=(http://downloads.sourceforge.net/source ... r}.tar.bz2
'http://libantixunlei.googlecode.com/fil ... LP39.patch')
md5sums=('530d9b48187e36f78fc21bb19e94326d'
'7bc9aa7d890be3d78f36b34686499049')

build() {
cd ${srcdir}/aMule-${pkgver}
patch -p0 -N < ../aMule-2.2.6-DLP39.patch

./configure --prefix=/usr --disable-debug --enable-optimize --enable-upnp --enable-geoip --enable-nls --enable-amulecmd --enable-alcc -enable-alc --enable-cas --enable-wxcas --enable-mmap

make || return 1
make DESTDIR=${pkgdir}/ install || return 1
}
E=m c^2
头像
syrano
帖子: 4313
注册时间: 2007-10-06 18:40
送出感谢: 0
接收感谢: 5 次

Re: 让aMule支持DLP的源码补丁

#22

帖子 syrano » 2009-10-18 13:03

很不稳定, amuled和amule都在运行几分钟后崩溃.
E=m c^2
loopwater
帖子: 92
注册时间: 2008-10-19 22:13
送出感谢: 0
接收感谢: 0

Re: 让aMule支持DLP的源码补丁

#23

帖子 loopwater » 2009-10-18 13:11

configure: error:
wxWidgets must be installed on your system but wx-config
script couldn't be found. Please check that wx-config is
in path or specified by --with-wx-config=path flag, the
directory where wxWidgets libraries are installed (returned
by 'wx-config --libs' command) is in LD_LIBRARY_PATH or
equivalent variable and wxWidgets version is 2.8.0 or above.
上次由 loopwater 在 2009-10-19 20:52,总共编辑 1 次。
头像
john.wu
帖子: 1006
注册时间: 2007-10-18 17:40
送出感谢: 0
接收感谢: 0

Re: 让aMule支持DLP的源码补丁

#24

帖子 john.wu » 2009-10-18 13:23

syrano 写了:很不稳定, amuled和amule都在运行几分钟后崩溃.
是的, 当前版本很不稳定

千帖户,享有论坛特权!
loopwater
帖子: 92
注册时间: 2008-10-19 22:13
送出感谢: 0
接收感谢: 0

Re: 让aMule支持DLP的源码补丁

#25

帖子 loopwater » 2009-10-18 13:26

反吸血非常好,一会屏蔽了不少,效果不一般
u904非常稳定的
上次由 loopwater 在 2009-10-18 21:53,总共编辑 1 次。
头像
midoriumi
帖子: 40
注册时间: 2009-02-24 13:07
送出感谢: 0
接收感谢: 0
联系:

崩溃问题

#26

帖子 midoriumi » 2009-10-18 15:13

结合前面编译失败的错误来看,问题应该还是发生在字符串处理函数里面,而且与操作系统有关。我这里U904跑了几个小时一直没有崩溃。

我重新检查了一遍代码,把可能导致错误的地方的边界检查都修改得更严格了,然后重新做了一个3901版的补丁。如果使用这个补丁以后依旧崩溃的话,只能等我月底回学校以后使用较新的系统来重现这个错误了。家里的电脑是800Mhz的老古董,一直没法升级到910,难以重现这个崩溃。

更新的补丁: http://libantixunlei.googlecode.com/fil ... 3901.patch
叫我greensea吧 [@lvhai]

虽然现在这个用户名是midoriumi,但实际上是我把自己注册的greensea的密码给忘记了,于是只好再注册一个midoriumi,字面意思也和greensea一样是緑海(みどりうみ)。所以,叫我greensea或GS吧。
头像
john.wu
帖子: 1006
注册时间: 2007-10-18 17:40
送出感谢: 0
接收感谢: 0

Re: 让aMule支持DLP的源码补丁

#27

帖子 john.wu » 2009-10-18 17:22

3901,正在试用。aur上的pkgbuild, 现在没人维护,谁维护一下?

千帖户,享有论坛特权!
happyaron
帖子: 473
注册时间: 2008-04-27 1:10
来自: http://blogs.gnome.org/happyaron/
送出感谢: 0
接收感谢: 2 次

Re: 让aMule支持DLP的源码补丁

#28

帖子 happyaron » 2009-10-18 19:40

我来放一个DEB吧,我的PPA里:
https://edge.launchpad.net/~happyaron/+ ... /amule-dlp
需要的就用用吧,用的是官方代码+LZ的DLP补丁,软件名稍微改了一下叫amule-dlp${blah},安装这个会自动卸载原来的amule${blah}。
有9.04的和9.10的。
I will always return.
头像
mickeywaley
帖子: 1425
注册时间: 2009-03-19 9:19
系统: ubuntu
来自: 江苏
送出感谢: 0
接收感谢: 2 次
联系:

Re: 让aMule支持DLP的源码补丁

#29

帖子 mickeywaley » 2009-10-18 20:36

https://edge.launchpad.net/~happyaron/+ ... ld/1298031

包真多

Built files

Files resulting from this build:

* amule-dlp_2.2.6-0ubuntu1~jaunty_i386.deb (1.8 MiB)
* amule-dlp-common_2.2.6-0ubuntu1~jaunty_all.deb (2.3 MiB)
* amule-dlp-daemon_2.2.6-0ubuntu1~jaunty_i386.deb (1.1 MiB)
* amule-dlp-gnome-support_2.2.6-0ubuntu1~jaunty_all.deb (120.9 KiB)
* amule-dlp-utils_2.2.6-0ubuntu1~jaunty_i386.deb (450.8 KiB)
* amule-dlp-utils-gui_2.2.6-0ubuntu1~jaunty_i386.deb (1.2 MiB)
头像
john.wu
帖子: 1006
注册时间: 2007-10-18 17:40
送出感谢: 0
接收感谢: 0

Re: 让aMule支持DLP的源码补丁

#30

帖子 john.wu » 2009-10-18 21:48

john.wu 写了:3901,正在试用。aur上的pkgbuild, 现在没人维护,谁维护一下?
发现pkgbuild 已经更新为3901, 维护者为none , 也即有人更新后,立即dis own .

如果有更新,或需要修正,任何人都可以维护它。

千帖户,享有论坛特权!
回复

回到 “因特网相关软件”